# array_combine

(PHP 5, PHP 7, PHP 8)

array_combine — Crée un tableau à partir de deux autres tableaux

### Description

array_combine(array `$keys`, array `$values`): array

Crée un tableau, dont les clés sont les valeurs de `keys`, et les valeurs sont les valeurs de `values`.

### Liste de paramètres

`keys`

  Tableau de clés à utiliser. Les valeurs illégales pour les clés seront converties en chaîne de caractères.

`values`

  Tableau de valeurs à utiliser

### Valeurs de retour

Retourne le tableau combiné.

### Erreurs / Exceptions

À partir de PHP 8.0.0, lance une erreur de type ValueError si le nombre d'éléments de `keys` et de `values` ne correspondent pas. Antérieur à PHP 8.0.0, lançait une alerte de niveau `E_WARNING`.

### Historique

Version | Description
--- | ---
8.0.0 | array_combine() lance désormais une erreur de type ValueError si le nombre d'éléments pour chaque tableau est inégal; auparavant `false` était retournée à la place.

### Exemples

Exemple #1 Exemple avec array_combine()

`<?php
$a = array('green', 'red', 'yellow');
$b = array('avocado', 'apple', 'banana');
$c = array_combine($a, $b);
print_r($c);
?>`

L'exemple ci-dessus va afficher :

    Array
    (
        [green] => avocado
        [red] => apple
        [yellow] => banana
    )

### Voir aussi

- array_merge() - Fusionne plusieurs tableaux en un seul
- array_walk() - Exécute une fonction fournie par l'utilisateur sur chacun des éléments d'un tableau
- array_values() - Retourne toutes les valeurs d'un tableau
- array_map() - Applique une fonction sur les éléments d'un tableau